<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/BluetoothImplementations/BlueZ/src/PulseAudioBluetoothInitializer.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_27114e8c504df5f4609f20f7d28eb6fc.html">BluetoothImplementations</a></li><li class="navelem"><a class="el" href="dir_734f87f436384b5f4d3ce6cedeff05c0.html">BlueZ</a></li><li class="navelem"><a class="el" href="dir_1298b2e4ec6fcaa0bfd6e425cd36abba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">PulseAudioBluetoothInitializer.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &quot;<a class="el" href="_pulse_audio_bluetooth_initializer_8h_source.html">BlueZ/PulseAudioBluetoothInitializer.h</a>&quot;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for PulseAudioBluetoothInitializer.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_pulse_audio_bluetooth_initializer_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_bluetooth_implementations_2_blue_z_2src_2_pulse_audio_bluetooth_initializer_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_bluetooth_implementations_2_blue_z_2src_2_pulse_audio_bluetooth_initializer_8cpp" id="_2workplace_2avs-device-sdk_2_bluetooth_implementations_2_blue_z_2src_2_pulse_audio_bluetooth_initializer_8cpp">
<area shape="rect" id="node4" href="_pulse_audio_bluetooth_initializer_8h.html" title="BlueZ/PulseAudioBluetooth\lInitializer.h" alt="" coords="2100,105,2284,144"/>
<area shape="rect" id="node35" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="2871,365,3047,404"/>
<area shape="rect" id="node8" href="_bluetooth_event_bus_8h.html" title="AVSCommon/Utils/Bluetooth\l/BluetoothEventBus.h" alt="" coords="1291,192,1482,231"/>
<area shape="rect" id="node27" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="1987,452,2181,491"/>
<area shape="rect" id="node12" href="_bluetooth_events_8h.html" title="AVSCommon/Utils/Bluetooth\l/BluetoothEvents.h" alt="" coords="899,365,1090,404"/>
<area shape="rect" id="node26" href="_bluetooth_event_listener_interface_8h.html" title="AVSCommon/Utils/Bluetooth\l/BluetoothEventListenerInterface.h" alt="" coords="1072,279,1298,317"/>
<area shape="rect" id="node13" href="_bluetooth_device_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/BluetoothDeviceInterface.h" alt="" coords="529,452,775,491"/>
<area shape="rect" id="node16" href="_a2_d_p_source_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/A2DPSource\lInterface.h" alt="" coords="981,539,1198,591"/>
<area shape="rect" id="node24" href="_a_v_r_c_p_target_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/AVRCPTarget\lInterface.h" alt="" coords="93,539,315,591"/>
<area shape="rect" id="node25" href="_a2_d_p_role_8h.html" title="AVSCommon/Utils/Bluetooth\l/A2DPRole.h" alt="" coords="861,452,1051,491"/>
<area shape="rect" id="node17" href="_bluetooth_service_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/Bluetooth\lServiceInterface.h" alt="" coords="499,639,695,691"/>
<area shape="rect" id="node18" href="_s_d_p_record_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/SDPRecord\lInterface.h" alt="" coords="492,739,702,791"/>
<area shape="rect" id="node22" href="_a2_d_p_sink_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/A2DPSink\lInterface.h" alt="" coords="490,539,691,591"/>
<area shape="rect" id="node23" href="_a_v_r_c_p_controller_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/AVRCPController\lInterface.h" alt="" coords="715,539,957,591"/>
<area shape="rect" id="node19" href="_formatted_audio_stream_adapter_8h.html" title="AVSCommon/Utils/Bluetooth\l/FormattedAudioStreamAdapter.h" alt="" coords="927,645,1147,684"/>
<area shape="rect" id="node20" href="_audio_format_8h.html" title="AVSCommon/Utils/AudioFormat.h" alt="" coords="756,839,978,864"/>
<area shape="rect" id="node21" href="_formatted_audio_stream_adapter_listener_8h.html" title="AVSCommon/Utils/Bluetooth\l/FormattedAudioStreamAdapterListener.h" alt="" coords="733,745,1000,784"/>
<area shape="rect" id="node32" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="1757,545,1952,584"/>
<area shape="rect" id="node37" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="2996,452,3210,491"/>
<area shape="rect" id="node41" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="3629,545,3805,584"/>
<area shape="rect" id="node42" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="2735,452,2911,491"/>
<area shape="rect" id="node46" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="3680,452,3877,491"/>
<area shape="rect" id="node47" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1984,645,2160,684"/>
<area shape="rect" id="node43" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="2725,545,2901,584"/>
<area shape="rect" id="node44" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="2851,645,3027,684"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1bluetooth_implementations"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations.html">alexaClientSDK::bluetoothImplementations</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html">alexaClientSDK::bluetoothImplementations::blueZ</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_pulse_audio_bluetooth_initializer_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:abcfbede89d636312f4d28c9d3ac1545d"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#abcfbede89d636312f4d28c9d3ac1545d">alexaClientSDK::bluetoothImplementations::blueZ::stateToString</a> (pa_context_state_t state)</td></tr>
<tr class="separator:abcfbede89d636312f4d28c9d3ac1545d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ab85226a738f96d6cb13b16f78fa9e2c9"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_pulse_audio_bluetooth_initializer_8cpp.html#ab85226a738f96d6cb13b16f78fa9e2c9">TAG</a> {&quot;PulseAudioBluetoothInitializer&quot;}</td></tr>
<tr class="memdesc:ab85226a738f96d6cb13b16f78fa9e2c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#ab85226a738f96d6cb13b16f78fa9e2c9">More...</a><br /></td></tr>
<tr class="separator:ab85226a738f96d6cb13b16f78fa9e2c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31ef8891b46ebe41154db9439ce71db5"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a31ef8891b46ebe41154db9439ce71db5">alexaClientSDK::bluetoothImplementations::blueZ::BLUETOOTH_DISCOVER</a> = &quot;module-bluetooth-discover&quot;</td></tr>
<tr class="memdesc:a31ef8891b46ebe41154db9439ce71db5"><td class="mdescLeft">&#160;</td><td class="mdescRight">The PulseAudio module related to device discovery.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a31ef8891b46ebe41154db9439ce71db5">More...</a><br /></td></tr>
<tr class="separator:a31ef8891b46ebe41154db9439ce71db5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1851537340c7d55afdfc10f8b8fc223"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#aa1851537340c7d55afdfc10f8b8fc223">alexaClientSDK::bluetoothImplementations::blueZ::BLUETOOTH_POLICY</a> = &quot;module-bluetooth-policy&quot;</td></tr>
<tr class="memdesc:aa1851537340c7d55afdfc10f8b8fc223"><td class="mdescLeft">&#160;</td><td class="mdescRight">The PulseAudio module related to stack related policies.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#aa1851537340c7d55afdfc10f8b8fc223">More...</a><br /></td></tr>
<tr class="separator:aa1851537340c7d55afdfc10f8b8fc223"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe661470f8a83bc7ed29d0f3b195ea23"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#afe661470f8a83bc7ed29d0f3b195ea23">alexaClientSDK::bluetoothImplementations::blueZ::PA_CONTEXT_CB_SUCCESS</a> {1}</td></tr>
<tr class="memdesc:afe661470f8a83bc7ed29d0f3b195ea23"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return indicating an operation was successful.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#afe661470f8a83bc7ed29d0f3b195ea23">More...</a><br /></td></tr>
<tr class="separator:afe661470f8a83bc7ed29d0f3b195ea23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46dd11c34ca5d7067c17ac195a311f9e"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a46dd11c34ca5d7067c17ac195a311f9e">alexaClientSDK::bluetoothImplementations::blueZ::PA_MODULE_CB_EOL_EOL</a> {1}</td></tr>
<tr class="memdesc:a46dd11c34ca5d7067c17ac195a311f9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return for a module callback indicating that this is the eol.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a46dd11c34ca5d7067c17ac195a311f9e">More...</a><br /></td></tr>
<tr class="separator:a46dd11c34ca5d7067c17ac195a311f9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ee4460af35c383fde48cd727a0c49a6"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a9ee4460af35c383fde48cd727a0c49a6">alexaClientSDK::bluetoothImplementations::blueZ::PA_MODULE_CB_EOL_ERR</a> {-1}</td></tr>
<tr class="memdesc:a9ee4460af35c383fde48cd727a0c49a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return for a module callback indicating that an error occurred.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a9ee4460af35c383fde48cd727a0c49a6">More...</a><br /></td></tr>
<tr class="separator:a9ee4460af35c383fde48cd727a0c49a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f88520b9bbaff33dd1fdd3485976399"><td class="memItemLeft" align="right" valign="top">static const std::chrono::seconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a2f88520b9bbaff33dd1fdd3485976399">alexaClientSDK::bluetoothImplementations::blueZ::TIMEOUT</a> {2}</td></tr>
<tr class="memdesc:a2f88520b9bbaff33dd1fdd3485976399"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timeout for blocking operations.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a2f88520b9bbaff33dd1fdd3485976399">More...</a><br /></td></tr>
<tr class="separator:a2f88520b9bbaff33dd1fdd3485976399"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ab85226a738f96d6cb13b16f78fa9e2c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab85226a738f96d6cb13b16f78fa9e2c9">&#9670;&nbsp;</a></span>TAG</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string TAG {&quot;PulseAudioBluetoothInitializer&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
